org.springframework.cloud.dataflow.rest.client.config

## Class DataFlowClientProperties.Authentication

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.config.DataFlowClientProperties.Authentication

- Enclosing class:
    DataFlowClientProperties

      public static class DataFlowClientProperties.Authentication
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataFlowClientProperties.Authentication.Basic`
    `static class` | `DataFlowClientProperties.Authentication.Oauth2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Authentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessToken()`
    `DataFlowClientProperties.Authentication.Basic` | `getBasic()`
    `String` | `getClientId()`
    `String` | `getClientSecret()`
    `DataFlowClientProperties.Authentication.Oauth2` | `getOauth2()`
    `Set<String>` | `getScope()`
    `String` | `getTokenUri()`
    `void` | `setAccessToken(String accessToken)`
    `void` | `setBasic(DataFlowClientProperties.Authentication.Basic basic)`
    `void` | `setClientId(String clientId)`
    `void` | `setClientSecret(String clientSecret)`
    `void` | `setOauth2(DataFlowClientProperties.Authentication.Oauth2 oauth2)`
    `void` | `setScope(Set<String> scope)`
    `void` | `setTokenUri(String tokenUri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Authentication

          public Authentication()

  - ### Method Detail

    - #### getAccessToken

          public String getAccessToken()

    - #### setAccessToken

          public void setAccessToken(String accessToken)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getClientSecret

          public String getClientSecret()

    - #### setClientSecret

          public void setClientSecret(String clientSecret)

    - #### getTokenUri

          public String getTokenUri()

    - #### setTokenUri

          public void setTokenUri(String tokenUri)

    - #### getScope

          public Set<String> getScope()

    - #### setScope

          public void setScope(Set<String> scope)

    - #### getBasic

          public DataFlowClientProperties.Authentication.Basic getBasic()

    - #### setBasic

          public void setBasic(DataFlowClientProperties.Authentication.Basic basic)

    - #### getOauth2

          public DataFlowClientProperties.Authentication.Oauth2 getOauth2()

    - #### setOauth2

          public void setOauth2(DataFlowClientProperties.Authentication.Oauth2 oauth2)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.